Please contact <mark.hatle@kernel.crashing.org> if you have a question about this
version.  The original author is not responsible for the modified version!

Compilation
-----------

In order to build this, you will need to regenerate the autotools files:
autoreconf -if

Patch submission
----------------

When submitting patches to the cross-prelink project, please do the
following:

To: mark.hatle@kernel.crashing.org
Cc: yocto@lists.yoctoproject.org

Subject: [prelink-cross] ....


Additionally, a 'Developer's Certificate of Origin' statement will be required
for all submitted patches.  See:

   https://www.kernel.org/doc/html/latest/process/submitting-patches.html#sign-your-work-the-developer-s-certificate-of-origin

Effectively this means at then end of your commit, please add a 
Signed-off-by: line.  If you are not the original author of the patch, please
indicate this and then add your Signed-off-by: line after.

Known Issues
------------

The --preload option does not always work.  The preload1 test currently fails.

quick2 test will fail if you do not have static libc installed.

IFUNC on glibc.  glibc appears to have a bug related to specific IFUNC
ordering.  build_local_scope in glibc is processing depth first instead of
breadth-first processing as it should be.  The prelink-rtld version works
around this issue.  (Prelink-rtld is only available in the cross compile
version.)  See:

https://bugzilla.yoctoproject.org/show_bug.cgi?id=9131
https://sourceware.org/bugzilla/show_bug.cgi?id=20488

ARM & PPC: both are currently failing the reloc8 and reloc9 tests.  The
issue has been traced down to the latest binutils being unable to link with
'-Wl,-z,nocopyreloc'.  This problem is not related to prelink, as the binaries
fail before being prelinked.  See:

https://bugzilla.yoctoproject.org/show_bug.cgi?id=10168
